Page 1 of 1

Warning you might want to look in to

Posted: Jan 22, 2019 5:30 pm
by mushu
Mantis 2.18.0
EmailReporting v0.10.1

When running the email script manually I got this:

Code: Select all

C:\MantisBT2180\plugins\EmailReporting\scripts>php --version
PHP 5.6.36 (cli) (built: Apr 25 2018 16:45:32)
Copyright (c) 1997-2016 The PHP Group
Zend Engine v2.6.0, Copyright (c) 1998-2016 Zend Technologies

C:\MantisBT2180\plugins\EmailReporting\scripts>php bug_report_mail.php
APPLICATION WARNING #2400: Event "EVENT_NOTIFY_EMAIL" has not yet been
 declared. (in 'C:\MantisBT2180\core\event_api.php' line 85)

C:\MantisBT2180\plugins\EmailReporting\scripts>
It says "warning" so not too worried (EDIT: file does exist, so not sure now)...

Re: Warning you might want to look in to

Posted: Jan 22, 2019 5:57 pm
by mushu
Might not be related to the EmailReporting plugin specifically, I've been playing in the plugins directory and so I might have borked something else up....GRRRRRR.

EDIT: it looks like it might be a different plugin that is incomplete and when I hit the [Install] button it broke Mantis. Blah. Now I need to figure out how to manually uninstall that plugin since Mantis is unusable now.

Re: Warning you might want to look in to

Posted: Jan 22, 2019 8:36 pm
by SL-Gundam
Just to be sure i double checked against the latest MantisBT and EmailReporting versions. Both worked without issues

Concerning your issue i would try the following
Open your sql editor (eg. PHPmyAdmin)
Go to the table mantis_plugin_table
Modify "enabled" to "0" for the offending plugin

Hope that helps

Re: Warning you might want to look in to

Posted: Jan 23, 2019 2:50 pm
by mushu
That worked, thanks! It was a plugin called HTMLemail or something similar.